propellor-5.10.1: property-based host configuration management in haskell

Safe Haskell | None
Language | Haskell98

Propellor.Property.HostingProvider.DigitalOcean

Synopsis

- distroKernel :: Property DebianLike

# Documentation

distroKernel :: Property DebianLike Source #

Digital Ocean does not provide any way to boot the kernel provided by the distribution, except using kexec. Without this, some old, and perhaps insecure kernel will be used.

This property causes the distro kernel to be loaded on reboot, using kexec.

When the power is cycled, the non-distro kernel still boots up. So, this property also checks if the running kernel is present in /boot, and if not, reboots immediately into a distro kernel.